//we need the Jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Rocket - required add-on Vehicle_Jeep not found");
   return;
}


datablock WheeledVehicleData(rocketVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./rocket.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 2;
   
   numMountPoints = 2;
   mountThread[0] = "sit";
   mountThread[0] = "sit";

	maxDamage = 59500.00;
	destroyedLevel = 59500.00;
	speedDamageScale = 0.06;
	collDamageThresholdVel = 23.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 0";
   //massBox = "2 5 1";

	maxSteeringAngle = 2;  // Maximum steering angle, should match animation
	integration = 3;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 16;         // Far distance from vehicle
	cameraOffset = 3.65;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
   collisionTol = 0.6;        // Collision distance tolerance
   contactTol = 0.4;

	useEyePoint = false;	

	//defaultTire	  = rocketTire;
	//defaultSpring = rocketSpring;
	//flatTire	     = rocketFlatTire;
	//flatSpring	  = rocketFlatSpring;

   numWheels = 0;

	// Rigid Body
	mass = 100;
	density = 0.5;
	drag = 0.9;
	bodyFriction = 0.0;
	bodyRestitution = 0.8;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 3;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 20000; //20000;       // Engine power
	engineBrake = 2000;         // Braking when throttle is 0
	brakeTorque = 6400;        // When brakes are applied
	maxWheelSpeed = 20;        // Engine scale by current speed / max speed

	rollForce		= 2000;
	yawForce		= 1000;
	pitchForce		= 2000;
	rotationalDrag		= 0.1;

	// Energy
	maxEnergy = 280;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

   isSled = false;

   forwardThrust		= 15000;
	reverseThrust		= 15000;
	lift			= 10;
	maxForwardVel		= 250;
	maxReverseVel		= 250;
	horizontalSurfaceForce	= 150;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 150; 
	rollForce		= 50000;
	yawForce		= 50000;
	pitchForce		= 50000;
	rotationalDrag		= 0.5;
	stallSpeed		= 10;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 15.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 10.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Rocket ";
	rideable = true;
		lookUpLimit = 0.65;
		lookDownLimit = 0.45;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 -3.0 0.0 ";
	damageLevelTolerance[0] = 0.3;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 -3.0 0.0 ";
	damageLevelTolerance[1] = 0.4;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 -3.0 0.0 ";
	damageLevelTolerance[1] = 0.7;

   numDmgEmitterAreas = 3;

   initialExplosionProjectile = jeepExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 8500;

   finalExplosionProjectile = jeepFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

   steeringUseStrafeSteering = false; //this vehicle has pitch control, so we can't use strafe steering

   //protection for passengers
   protectPassengersBurn   = true;  //protect passengers from the burning effect of explosions?
   protectPassengersRadius = true;  //protect passengers from radius damage (explosions) ?
   protectPassengersDirect = true; //protect passengers from direct damage (bullets) ?
};